<template>
  <v-app>
    <v-app-bar app color="primary" dark dense="">
      <v-spacer></v-spacer>

      <v-btn
        href="https://www.segurofacil.com.br/seguros/seguro-auto"
        target="_blank"
        text
      >
        <span class="mr-2">Facil Auto</span>
        <v-icon>mdi-open-in-new</v-icon>
      </v-btn>
    </v-app-bar>

    <v-content>
      <v-container class="fill-height" fluid>
        <v-row align="center" justify="center">
          <v-col cols="12" sm="10" md="8">
            <h1 class="headline grey--text">Formulário</h1>
            <v-form class="mx-4 my-4">
              <v-card class="my-4 px-4">
                <v-card-title>
                  Dados do Cliente
                </v-card-title>

                <v-card-text>
                  <v-row align="center" justify="center">
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="Nome"
                        type="text"
                        v-model="lead.client_data.name"
                        required
                        outlined=""
                      ></v-text-field>
                    </v-col>
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="CPF"
                        v-model="lead.client_data.cpf"
                        required
                        type="text"
                        outlined=""
                      ></v-text-field>
                    </v-col>
                  </v-row>

                  <v-row align="center" justify="center">
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="E-mail"
                        type="text"
                        v-model="lead.client_data.email"
                        required
                        outlined=""
                      ></v-text-field>
                    </v-col>
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="Nome da mãe"
                        v-model="lead.client_data.mother_name"
                        required
                        type="text"
                        outlined=""
                      ></v-text-field>
                    </v-col>
                  </v-row>
                </v-card-text>
              </v-card>
              <v-card class="my-4 px-4">
                <v-card-title>Telefones</v-card-title>

                <v-card-text>
                  <v-row align="center" justify="center">
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="DDD"
                        type="text"
                        v-model="lead.client_data.client_phones[0].ddd"
                        required
                        outlined=""
                      ></v-text-field>
                    </v-col>
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="Número"
                        v-model="lead.client_data.client_phones[0].number"
                        required
                        type="text"
                        outlined=""
                      ></v-text-field>
                    </v-col>
                  </v-row>

                  <v-row align="center" justify="center">
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="DDD"
                        type="text"
                        v-model="lead.client_data.client_phones[1].ddd"
                        required
                        outlined=""
                      ></v-text-field>
                    </v-col>
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="Número"
                        v-model="lead.client_data.client_phones[1].number"
                        required
                        type="text"
                        outlined=""
                      ></v-text-field>
                    </v-col>
                  </v-row>
                </v-card-text>
              </v-card>

              <v-card class="my-4 px-4">
                <v-card-title>Endereço</v-card-title>
                <v-card-text>
                  <v-row align="center" justify="center">
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="CEP"
                        type="text"
                        v-model="lead.client_data.client_address.zipcode"
                        required
                        outlined=""
                      ></v-text-field>
                    </v-col>
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="UF"
                        v-model="lead.client_data.client_address.state"
                        required
                        type="text"
                        outlined=""
                      ></v-text-field>
                    </v-col>
                  </v-row>

                  <v-row align="center" justify="center">
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="Cidade"
                        type="text"
                        v-model="lead.client_data.client_address.city"
                        required
                        outlined=""
                      ></v-text-field>
                    </v-col>
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="Rua"
                        v-model="lead.client_data.client_address.street"
                        required
                        type="text"
                        outlined=""
                      ></v-text-field>
                    </v-col>
                  </v-row>

                  <v-row align="center" justify="center">
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="Bairro"
                        type="text"
                        v-model="lead.client_data.client_address.neighbourhood"
                        required
                        outlined=""
                      ></v-text-field>
                    </v-col>
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="Logradouro"
                        v-model="lead.client_data.client_address.address"
                        required
                        type="text"
                        outlined=""
                      ></v-text-field>
                    </v-col>
                  </v-row>

                  <v-row align="center" justify="center">
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="Número"
                        type="text"
                        v-model="lead.client_data.client_address.number"
                        required
                        outlined=""
                      ></v-text-field>
                    </v-col>
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="Complemento"
                        v-model="lead.client_data.client_address.complement"
                        required
                        type="text"
                        outlined=""
                      ></v-text-field>
                    </v-col>
                  </v-row>
                </v-card-text>
              </v-card>

              <v-card>
                <v-card-title>
                  Informações sobre o veículo
                </v-card-title>
                <v-card-text>
                  <v-row align="center" justify="center">
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="Placa"
                        type="text"
                        v-model="lead.client_data.car.license"
                        required
                        outlined=""
                      ></v-text-field>
                    </v-col>
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="Fabricante"
                        v-model="lead.client_data.car.make"
                        required
                        type="text"
                        outlined=""
                      ></v-text-field>
                    </v-col>
                  </v-row>

                  <v-row align="center" justify="center">
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="Modelo"
                        type="text"
                        v-model="lead.client_data.car.model"
                        required
                        outlined=""
                      ></v-text-field>
                    </v-col>
                    <v-col cols="12" md="6">
                      <v-text-field
                        label="Ano"
                        v-model="lead.client_data.car.year"
                        required
                        type="text"
                        outlined=""
                      ></v-text-field>
                    </v-col>
                  </v-row>
                </v-card-text>
              </v-card>

              <v-flex class="px-1" sx12 sm6 lg3>
                <v-row justify="space-around">
                  <v-switch class="ma-4" label="Whatsapp" />
                  <v-switch
                    v-model="lead.client_data.car.insurance"
                    class="ma-4"
                    label="Seguro"
                  />
                </v-row>
              </v-flex>
              <v-flex class="px-1">
                    <v-row justify="end" class="mt-3">
                      <v-btn color="success" class="mr-4" @click="sendLead">
                        Enviar
                      </v-btn>
                    </v-row>
                  </v-flex>
            </v-form>
          </v-col>
        </v-row>
      </v-container>
    </v-content>
  </v-app>
</template>

<script>
import { baseApiUrl } from './config/global.js'
const axios = require("axios");

export default {
  name: "App",
  data() {
    return {
      lead: {
        client_data: {
          name: "",
          cpf: "",
          email: "",
          birth_date: "01/01/1800",
          rg: "",
          mother_name: "",
          client_phones: [
            {
              ddd: "",
              number: "",
              type: 0,
            },
            {
              ddd: "",
              number: "",
              type: 0,
            },
          ],
          client_address: {
            zipcode: "",
            country: "",
            state: "",
            city: "",
            street: "",
            neighbourhood: "",
            address: "",
            number: "",
            complement: "",
          },
          car: {
            license: "",
            make: "",
            model: "",
            year: "",
            insurance: false,
          },
        },
      },
    };
  },
  methods: {
    sendLead() {
      axios.post(`${baseApiUrl}/FA/leads`, this.lead).then(() => {
        window.location.href = "https://www.segurofacil.com.br/seguros/seguro-auto"
      });
    },
  },
};
</script>
